# radius_put_attr

(PECL radius >= 1.1.0)

radius_put_attr — Attaches a binary attribute

### Beschreibung

radius_put_attr(
resource `$radius_handle`,
int `$type`,
string `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attaches a binary attribute to the current RADIUS request.

> Hinweis:

> Bevor diese Funktion aufgerufen werden kann, muss mittels radius_create_request() eine Anfrage erstellt werden.

### Parameter-Liste

`radius_handle`

  Die RADIUS-Ressource.

`type`

  Der Typ des Attributs.

`value`

  The attribute value, which will be treated as a raw binary string.

`options`

  Eine Bitmaske der Attribut-Optionen; zur Verfügung stehen die Optionen `RADIUS_OPTION_TAGGED` und `RADIUS_OPTION_SALT`.

`tag`

  Das Attribut-Tag. Dieser Parameter wird nur berücksichtigt, wenn die Option `RADIUS_OPTION_TAGGED` gesetzt ist.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Beispiele

Beispiel #1 radius_put_attr() example

`<?php
mt_srand(time());
$chall = mt_rand();
$chapval = hash('md5', pack('Ca*',1 , 'sepp' . $chall));
$pass = pack('CH*', 1, $chapval);
if (!radius_put_attr($res, RADIUS_CHAP_PASSWORD, $pass)) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Siehe auch

- radius_get_attr() - Extracts an attribute
- radius_get_vendor_attr() - Extracts a vendor specific attribute
- radius_put_vendor_attr() - Attaches a vendor specific binary attribute

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open